# class KMessageHandler

### abstract

Module | kdecore
Namespace |
Class | KMessageHandler
Inherits |

### methods

- message (type, text, caption)

  returns Nothing
  pure virtual

  Argument | Type | Default
  --- | --- | ---
  type | KMessage.MessageType |
  text | QString |
  caption | QString |

  Display a long message of a certain type. A long message span on multiple lines and can have a caption.

  type - Currrent type of message. See MessageType enum.

  text - Long message to be displayed.

  caption - Caption to be used. This is optional.